%define url_ver %(echo %{version}|cut -d. -f1,2)

# filter out plugin .so provides
%global __provides_exclude_from %{_libdir}/%{name}/.*\\.so

Summary:       MATE Desktop settings daemon
Name:          mate-settings-daemon
Version:       1.18.1
Release:       %mkrel 1
License:       GPLv2+
Group:         Graphical desktop/MATE
URL:           http://mate-desktop.org
Source0:       http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:        mate-settings-daemon-1.10.0-mga-fix_underlinking.patch

BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libcanberra-gtk3)
BuildRequires: intltool
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(dconf)
BuildRequires: pkgconfig(mate-desktop-2.0)
BuildRequires: pkgconfig(libmatekbd)
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(libxklavier)
BuildRequires: pkgconfig(nss)
BuildRequires: pkgconfig(polkit-gobject-1)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xxf86misc)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(libmatemixer)
BuildRequires: pkgconfig(libpulse)

Requires:      mate-control-center >= 1.16.0
# We don't have mate-settings-daemon-pulse or mate-settings-daemon-gstreamer:
Requires:      matemixer-backend >= 1.16.0
Obsoletes:     %{name} < 1.16.0

%description
MATE settings daemon manages the configuration of the desktop in the
background.

%package -n %{name}-devel
Summary:    Include files for the MATE settings daemon
Group:      Development/GNOME and GTK+
Requires:   %{name} = %{version}-%{release}
Obsoletes:  %{name}-devel < 1.16.0

%description -n	%{name}-devel
Include files for the MATE settings daemon

%prep
%autosetup -p1

%build
# Neeed by patch0
autoreconf -fi
%configure2_5x                         \
   --enable-pulse                      \
   --disable-static                    \
   --disable-schemas-compile           \
   --enable-polkit                     \
   --with-x                            \
   --with-nssdb                        \
   --enable-profiling

%make_build

%install
%make_install

find %{buildroot} -name *.la -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README ChangeLog
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.mate.SettingsDaemon.DateTimeMechanism.conf
%config(noreplace) %{_sysconfdir}/xdg/autostart/mate-settings-daemon.desktop
%dir %{_sysconfdir}/xrdb
%{_sysconfdir}/xrdb/*.ad
%{_libdir}/%{name}/liba11y-keyboard.so
%{_libdir}/%{name}/liba11y-settings.so
%{_libdir}/%{name}/libsound.so
%{_libdir}/%{name}/libkeybindings.so
%{_libdir}/%{name}/libmpris.so
%{_libdir}/%{name}/libxrandr.so
%{_libdir}/%{name}/libbackground.so
%{_libdir}/%{name}/libkeyboard.so
%{_libdir}/%{name}/libsmartcard.so
%{_libdir}/%{name}/libxrdb.so
%{_libdir}/%{name}/libclipboard.so
%{_libdir}/%{name}/libxsettings.so
%{_libdir}/%{name}/libhousekeeping.so
%{_libdir}/%{name}/libmouse.so
%{_libdir}/%{name}/libtyping-break.so
%{_libdir}/%{name}/libmedia-keys.so
%{_libdir}/%{name}/*.mate-settings-plugin
%{_libexecdir}/*
%{_datadir}/dbus-1/services/org.mate.SettingsDaemon.service
%{_datadir}/dbus-1/system-services/org.mate.SettingsDaemon.DateTimeMechanism.service
%{_iconsdir}/mate/*/*/*
%{_iconsdir}/hicolor/*/apps/msd-xrandr.png
%{_iconsdir}/hicolor/scalable/apps/msd-xrandr.svg
%{_datadir}/%{name}/
%{_datadir}/mate-control-center/keybindings/50-accessibility.xml
%{_datadir}/glib-2.0/schemas/org.mate.*.xml
%{_datadir}/polkit-1/actions/org.mate.settingsdaemon.datetimemechanism.policy
%{_mandir}/man1/mate-settings-daemon.1*
%{_mandir}/man1/msd-datetime-mechanism.1*
%{_mandir}/man1/msd-locate-pointer.1*

%files -n %{name}-devel
%{_includedir}/%{name}/*
%{_libdir}/pkgconfig/*


%changelog
* Wed Apr 05 2017 tarakbumba <tarakbumba> 1.18.1-1.mga6
+ Revision: 1095997
- Update to 1.18.1 version

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092541
- Update to 1.18.0 version
- Update to 1.17.1 version
- Update to 1.17.0 version
- Clean up gtk2 references from specfile

* Sat Dec 24 2016 wally <wally> 1.16.0-2.mga6
+ Revision: 1076695
- BR XFree86 Misc Extension Library

* Sat Dec 24 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1076686
- new version 1.16.0
- build with gtk3

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001200
- Update to 1.14.0 version

* Sun Feb 07 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 942446
- Update to 1.13.0 version

* Fri Dec 04 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908153
- Update to 1.12.1 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898502
-Update to 1.12.0 version

* Sat Sep 05 2015 wally <wally> 1.10.2-1.mga6
+ Revision: 873038
- new version 1.10.2

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-2.mga6
+ Revision: 837340
- Fix requires:matemixer-backend

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 837271
- Update to 1.10.0 version

* Sat Jun 20 2015 tarakbumba <tarakbumba> 1.8.2-3.mga6
+ Revision: 836150
- Fix obsoletes tags (mga#16066)

* Wed Oct 15 2014 umeabot <umeabot> 1.8.2-2.mga5
+ Revision: 744458
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tarakbumba <tarakbumba> 1.8.2-1.mga5
+ Revision: 731502
- Update to 1.8.2 version

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-3.mga5
+ Revision: 682204
- Mageia 5 Mass Rebuild

  + tv <tv>
    - auto convert _exclude_files_from_autoreq

  + tarakbumba <tarakbumba>
    - Obsolete common package, not needed now.
    - Require virtual *-sound package to allow users choose from pulse or gst backends.
    - *-pulse and *-gstreamer packages now provides virtual *-sound package.

* Tue May 06 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 620903
- Update to 1.8.1 version

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600086
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598130
- Update to 1.7.x version

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531050
- Mageia 4 Mass Rebuild

* Wed Jul 31 2013 malo <malo> 1.6.1-1.mga4
+ Revision: 461736
- fix RPM group

  + tarakbumba <tarakbumba>
    - update a new version
    - imported package mate-settings-daemon

